CVE-2003-1360
CVSS7.2
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-05 00:00:00
NMCO    

[原文]Buffer overflow in the setupterm function of (1) lanadmin and (2) landiag programs of HP-UX 10.0 through 10.34 allows local users to execute arbitrary code via a long TERM environment variable.


[CNNVD]HP-UX landiag/lanadmin本地缓冲区溢出漏洞(CNNVD-200312-271)

        
        HP-UX是惠普公司开发和维护的商业性质UNIX操作系统。
        HP-UX系统中的/usr/sbin/landiag和/usr/sbin/lanadmin程序存在本地缓冲区溢出漏洞,本地攻击者可以利用这个漏洞进行权限提升攻击。
        目前没有提供详细漏洞细节。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

cpe:/o:hp:hp-ux:10.30HP HP-UX 10.30
cpe:/o:hp:hp-ux:10.09HP HP-UX 10.9
cpe:/o:hp:hp-ux:10.24HP HP-UX 10.24
cpe:/o:hp:hp-ux:10.26HP HP-UX 10.26
cpe:/o:hp:hp-ux:10.16HP HP-UX 10.16
cpe:/o:hp:hp-ux:10.10HP HP-UX 10.10
cpe:/o:hp:hp-ux:10.08HP HP-UX 10.8
cpe:/o:hp:hp-ux:10.20HP HP-UX 10.20
cpe:/o:hp:hp-ux:10.00HP HP-UX 10.00
cpe:/o:hp:hp-ux:10.34HP HP-UX 10.34
cpe:/o:hp:hp-ux:10.01HP HP-UX 10.01

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1360
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1360
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-271
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/11314
(UNKNOWN)  XF  hp-landiag-lanadmin-bo(11314)
http://www.securityfocus.com/bid/6834
(UNKNOWN)  BID  6834
http://www.securityfocus.com/archive/1/324381
(UNKNOWN)  BUGTRAQ  20030610 [LSD] HP-UX security vulnerabilities
http://www.securityfocus.com/advisories/4957
(UNKNOWN)  HP  HPSBUX0302-243
http://securityreason.com/securityalert/3236
(UNKNOWN)  SREASON  3236

- 漏洞信息

HP-UX landiag/lanadmin本地缓冲区溢出漏洞
高危 缓冲区溢出
2003-12-31 00:00:00 2007-10-17 00:00:00
本地  
        
        HP-UX是惠普公司开发和维护的商业性质UNIX操作系统。
        HP-UX系统中的/usr/sbin/landiag和/usr/sbin/lanadmin程序存在本地缓冲区溢出漏洞,本地攻击者可以利用这个漏洞进行权限提升攻击。
        目前没有提供详细漏洞细节。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 更改相应二进制程序的权限:
        chmod 555 /usr/sbin/landiag
        chmod 555 /usr/sbin/lanadmin
        厂商补丁:
        HP
        --
        HP已经为此发布了一个安全公告(HPSBUX0302-243):
        HPSBUX0302-243:SSRT3473 Potential Security Vulnerability in landiag/lanadmin
        链接:
        http://archives.neohapsis.com/archives/hp/2003-q1/0028.html

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://itrc.hp.com

- 漏洞信息

60340
HP-UX lanadmin setupterm Function TERM Environment Variable Local Overflow
Local Access Required Input Manipulation
Loss of Integrity Solution Unknown

- 漏洞描述

- 时间线

2003-06-09 Unknow
Unknow Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站